%define _name gdesklets
%define package GoodWeather
%define menu_group Applications/Monitoring/gDesklets

Name: gdesklets-sensors-%package
Version: 0.4
Release: alt0.1

Summary: %package is a %_name sensor to get weather condition
License: GPL
Group: Graphical desktop/GNOME
Url: http://%_name.gnomedesktop.org

Source: %url/files/%package-%version.tar.bz2

BuildArch: noarch

Provides: gdesklets-displays-%package = %version-%release

%define gdesklets_ver 0.26.2
# Automatically added by buildreq on Fri Jul 16 2004 (-bi)
BuildRequires: XFree86-libs XFree86-locales fontconfig freetype2 glib2 python-base python-module-pygtk python-modules-compiler python-modules-encodings rpm-build-python

BuildRequires: python

PreReq: %_name >= %gdesklets_ver

%description
gDesklets provides an advanced architecture for desktop applets -- tiny
displays sitting on your desktop in a symbiotic relationship of eye
candy and usefulness.

This package provides sensor and display to get the current weather
condition (temperature, sky, humidity) and forecasts for the next four
days on desktop.


%define gdesklets_sensors_dir %_datadir/%_name/Sensors
%define gdesklets_displays_dir %_datadir/%_name/Displays

%prep
%setup -q -n %package

%install
%__mkdir_p %buildroot{%gdesklets_sensors_dir,%gdesklets_displays_dir/gfx}
./*.bin --nomsg %buildroot%gdesklets_sensors_dir

%__cp %package.display %buildroot%gdesklets_displays_dir/
%__cp gfx/*.png %buildroot%gdesklets_displays_dir/gfx/

# menus
%define displays %package

%__mkdir -p %buildroot%_menudir
for display in %displays; do
%__cat <<__MENU__ > %buildroot%_menudir/gdesklets-displays-"$display".menu
?package(%name): needs=X11 section="%menu_group" title="$display display" \
longtitle="" command="%_bindir/%_name %gdesklets_displays_dir/$display.display" \
icon="%_name.png"
__MENU__
done

%post
%update_menus

%postun
%clean_menus

%files
%gdesklets_sensors_dir/*
%gdesklets_displays_dir/*
%_menudir/*
%doc README

%changelog
* Fri Jul 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt0.1
- 0.4

* Wed Nov 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.1-alt0.1
- First build for Sisyphus.

